/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.dispatch.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.dispatch.dto.DispatchDto;
import com.tofly.dispatch.dto.UpdateDispatchDto;
import com.tofly.dispatch.entity.Dispatch;

/**
 * 供水调度（日常->名称->详情；开关阀->方案->名称->详情）
 *
 * @author xqf
 * @date Mon Mar 14 00:00:00 CST 2022
 */
public interface DispatchService extends IService<Dispatch> {

    Object saveDispatch(DispatchDto dto);

    Object updateDispatchById(UpdateDispatchDto dto);

    boolean removeUpdateById(Long id);

    Object removeUpdateByIds(String ids);

    Object getDispatchTree(String types);

    int upDispatchCount(Long id);

    int upDispatchCount(Long id,Short type);
}
